Texa DeskDevelopers

Texa Desk Application API · Reports

Get conversation statistics grouped by channel type

GET/api/v2/accounts/{account_id}/summary_reports/channel

Get conversation counts grouped by channel type and status for a given date range. Returns statistics for each channel type including open, resolved, pending, snoozed, and total conversation counts.

Note: This API endpoint is available only in Texa Desk version 4.10.0 and above. The date range is limited to a maximum of 6 months.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

sincestring

The timestamp from where report should start (Unix timestamp).

untilstring

The timestamp from where report should stop (Unix timestamp).

Responses

200

Success

400

Date range exceeds 6 months limit

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring